package de.ozgcloud.eingang.enterprise.entry;

import java.util.List;

import lombok.Builder;
import lombok.Getter;
import lombok.Singular;
import lombok.ToString;
import lombok.extern.jackson.Jacksonized;

@Builder
@Getter
@Jacksonized
@ToString(onlyExplicitlyIncluded = true)
public class EntryFormDataSubForm implements EntryFormDataItem {

	private String name;
	@ToString.Include
	private String label;

	@Singular
	private List<EntryFormDataItem> formItems;

	@Override
	public boolean isSubForm() {
		return true;
	}
}
