package de.ozgcloud.eingang.enterprise.entry;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;
import org.mockito.InjectMocks;

class FormDataMapperTest {

	@InjectMocks
	private FormDataMapper mapper = Mappers.getMapper(FormDataMapper.class);

	@Nested
	class TestMapFormItems {

		@Test
		void shouldMapFormItems() {
			var mapped = mapper.mapFormItems(EntryFormDataTestFactory.create());

			assertThat(mapped).usingRecursiveComparison().isEqualTo(EntryFormDataTestFactory.createAsFormDataMap());
		}
	}

}
