package de.ozgcloud.eingang.formcycle;

import java.util.UUID;

import de.ozgcloud.eingang.common.formdata.PostfachAddressTestFactory;
import de.ozgcloud.eingang.formcycle.FormCyclePostfachAddress.Builder;

public class FormCyclePostfachAddressTestFactory {

	public static final String POSTKORB_ID = UUID.randomUUID().toString();
	public static final String VERSION = PostfachAddressTestFactory.VERSION;

	static FormCyclePostfachAddress create() {
		return createBuilder().build();
	}

	static Builder createBuilder() {
		return FormCyclePostfachAddress.newBuilder()
				.setIdentifier(POSTKORB_ID)
				.setVersion(VERSION);
	}
}
